<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 

// 접근권한 설정
if (!$member['mb_id']) alert('본 게시판은 로그인 후 이용가능합니다.');

// 읽을 권한 설정
$do_read = false;
$sql = "select * from `$write_table` where 1 and wr_num like '{$view['wr_num']}' and mb_id like '{$member['mb_id']}';";
$result = sql_query($sql);
while ($row = sql_fetch_array($result)) {
	if ($view['wr_num'] == $row['wr_num'] ){
	  	$do_read = true; 
		break;
	}  
}

if(!$do_read) {
	// 공지글 체크
	if(AMINA) {
		$noticeNumS = explode(",",$board['bo_notice']);
	} else {
		$noticeNumS = explode("\n",$board['bo_notice']);
	}
	if (in_array($_GET['wr_id'] , $noticeNumS )) $do_read = true;
}

if(!$do_read ) alert('회원님은 본 게시물을 볼 수 있는 권한이 없습니다.');

?>